質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.48%

  • Ruby

    7958questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    7504questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

Rails5でのエラーについて

受付中

回答 2

投稿

  • 評価
  • クリップ 1
  • VIEW 766

syoshinsya

score 27

前提・実現したいこと

Ruby on Rails チュートリアル:実例を使って Rails を学ぼうでrailsを学習しています。
第3章の

  • リスト 3.4: helloアクションをApplicationコントローラーに追加する
  • リスト 3.5: ルートルーティングを設定する

上記を行いHerokuにデプロイしたところでApplicationエラーになり
ローカルで動かしてみると下記のエラーが出力されます。

発生している問題・エラーメッセージ

Puma caught this error: Invalid option key: raise_on_unfiltered_parameters= (RuntimeError)
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/actionpack-5.0.3/lib/action_controller/railtie.rb:60:in `block (3 levels) in <class:Railtie>'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/actionpack-5.0.3/lib/action_controller/railtie.rb:55:in `each'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/actionpack-5.0.3/lib/action_controller/railtie.rb:55:in `block (2 levels) in <class:Railtie>'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/activesupport-5.0.3/lib/active_support/lazy_load_hooks.rb:43:in `instance_eval'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/activesupport-5.0.3/lib/active_support/lazy_load_hooks.rb:43:in `execute_hook'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/activesupport-5.0.3/lib/active_support/lazy_load_hooks.rb:50:in `block in run_load_hooks'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/activesupport-5.0.3/lib/active_support/lazy_load_hooks.rb:49:in `each'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/activesupport-5.0.3/lib/active_support/lazy_load_hooks.rb:49:in `run_load_hooks'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/actionpack-5.0.3/lib/action_controller/base.rb:269:in `<class:Base>'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/actionpack-5.0.3/lib/action_controller/base.rb:164:in `<module:ActionController>'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/actionpack-5.0.3/lib/action_controller/base.rb:5:in `<top (required)>'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/activesupport-5.0.3/lib/active_support/dependencies.rb:293:in `require'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/activesupport-5.0.3/lib/active_support/dependencies.rb:293:in `block in require'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/activesupport-5.0.3/lib/active_support/dependencies.rb:259:in `load_dependency'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/activesupport-5.0.3/lib/active_support/dependencies.rb:293:in `require'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/actionpack-5.0.3/lib/action_dispatch/middleware/static.rb:77:in `ext'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/actionpack-5.0.3/lib/action_dispatch/middleware/static.rb:33:in `match?'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/actionpack-5.0.3/lib/action_dispatch/middleware/static.rb:130:in `call'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/rack-2.0.3/lib/rack/sendfile.rb:111:in `call'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/railties-5.0.3/lib/rails/engine.rb:522:in `call'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/puma-3.9.1/lib/puma/configuration.rb:224:in `call'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/puma-3.9.1/lib/puma/server.rb:602:in `handle_request'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/puma-3.9.1/lib/puma/server.rb:435:in `process_client'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/puma-3.9.1/lib/puma/server.rb:299:in `block in run'
/Users/username/.rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/puma-3.9.1/lib/puma/thread_pool.rb:120:in `block in spawn_thread'

該当のソースコード

class ApplicationController < ActionController::Base
  protect_from_forgery with: :exception

  def hello
    render html: "hello, world!"
  end
end
Rails.application.routes.draw do
  root 'application#hello'
end
source 'https://rubygems.org'

gem 'rails',        '5.0.3'
gem 'puma',         '3.9.1'
gem 'sass-rails',   '5.0.6'
gem 'uglifier',     '3.2.0'
gem 'coffee-rails', '4.2.2'
gem 'jquery-rails', '4.3.1'
gem 'turbolinks',   '5.0.1'
gem 'jbuilder',     '2.7.0'

group :development, :test do
  gem 'sqlite3', '1.3.13'
  gem 'byebug',  '9.0.6', platform: :mri
end

group :development do
  gem 'web-console',           '3.5.1'
  gem 'listen',                '3.0.8'
  gem 'spring',                '2.0.2'
  gem 'spring-watcher-listen', '2.0.1'
end

group :test do
  gem 'rails-controller-testing', '1.0.2'
  gem 'minitest-reporters',       '1.1.14'
  gem 'guard',                    '2.13.0'
  gem 'guard-minitest',           '2.4.4'
end

group :production do
  gem 'pg', '0.18.4'
end

試したこと

下記の
Gemfile
application_controller.rb
routes.rb
のみしか編集しておらず、第1、2章で同じことをやって
うまくいっていたのですが
上記のエラーはどういったことが原因でおこるのでしょう?
どなたかご教示いただけましたら、幸いです。
よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

0

render text: "hello, world!"
が正解ではないでしょうか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

config/initializers ディレクトリに new_framework_defaults.rb というファイルがあり、そこに raise_on_unfiltered_parameters を含む行があるはずです。

その行をコメントアウトすれば直ります。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

関連した質問

同じタグがついた質問を見る

  • Ruby

    7958questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    7504questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。